Skip to main content

PUT v3/orders/:id

PUT 

/v3/orders/:id

Change an order that has not been fully shipped yet.

This endpoint enables a client to make some changes to an existing order within certain limits. The order cannot be modified after it is fulfilled in its entirety (i.e. there is nothing left to ship). The mutability of the attributes is indicated in the tables below.

Request​

When submitting changes for an order, the entire order in its desired state must be submitted; otherwise, the omitted fields may be erased.

Mutable attributes on order level​

attributenullableremarks
externalOrderNumbernoThe new value must also be unique.
referenceyesUse an empty string to erase current value.
consumerReferenceyesUse an empty string to erase current value.
promotionCodeyesUse an empty string to erase current value.
emailyesWhen null or omitted, noreply@activeants.nl default will be used.
localeno
phoneNumberyes
vatNumberyes
fulfillFromyesNew warehouseCode must be part of the fulfillment strategy.
preferredShippingDateyesNew date must be today or later.
allowPartialDeliveryyesWhen null or omitted, the default for the orderType will take effect.
onHoldno
metadata/*yesNote that not providing the full set will erase previous data.

Immutable attributes on order level​

attributeremarks
currency
channelIdentifier

Response​

Upon successful modification of the order, the server responds with the complete order resource and related resources in a similar fashion as if invoked by a GET v3/orders/:id?include=orderItems,deliveryAddress,billingAddress,pickUpPoint. It is the responsibility of the caller to validate that the changes made to the order are having the expected results.

Limitations of PUT /v3/orders/:id​

When using this endpoint, the following limitations apply:

  • Invoking the endpoint requires the use of the order's resource id. If not known, this can be obtained by invoking the GET v3/orders?filter[externalOrderNumber]={YOUR_ORDER_NUMBER}.
  • It is not possible to modify the orderItems.
  • It is not possible to modify the deliveryAddress, billingAddress, or pickUpPoint.
  • It is not possible to modify the related preferredShippingMethod.
  • It is not possible to modify the related orderType.

Request​

Responses​

Upon successfulmodification of the order the server responds with the complete order resource and related resources in a similar fashion as if invoked by a GET v3/orders/{id}?include=orderItems,deliveryAddress,billingAddress,pickUpPoint.